7
Indiquez l’intérêt que vous portez à cette question
1

Mise a jour de 1.9.2.e vers 2.02 : Error(s) in template

noobissima

Bonjour,

Les nouveautés de SPIP v2 sont alléchante et j’ai donc décidé de faire la mise à jour de mon site web qui tourne sous SPIP 1.9.2.e vers la version 2.0.2

J’ai renommé les répertoires plugins et squelettes ; et vider mon cache.
J’ai ensuite décompresser la version 2.0.2 sur mes anciens fichiers.
Puis lorsque je vais a la page d’admin de mon site, je tombe sur :

Technical message :
the upgrade procedure should be ran to adapt the database to the new version of SPIP.

Il y a néanmoins un problème lors de la mise à jour de la base de données :

SPIP 2.0.2 debug Noobissima
Error(s) in template

1          SQL error
@@character_set_connection AS n
Unknown system variable 'character_set_connection'
 HELP        
2          SQL error
@@character_set_connection AS n
Unknown system variable 'character_set_connection'
 HELP        
3          SQL error
@@character_set_connection AS n
Unknown system variable 'character_set_connection'
 HELP        
4          SQL error
@@character_set_connection AS n
Unknown system variable 'character_set_connection'
 HELP        
5          SQL error
@@character_set_connection AS n
Unknown system variable 'character_set_connection'
 HELP

D’où provient l’erreur ?

J’ai cru comprendre que c’est un problème d’encodage de ma base de données. Il faudrait la convertir en utf8. Cependant je tourne sur Mysql 4.0 et je ne connais pas le moyen d’effectuer cette manipulation.